Skip to main content
POST
/
order
/
{orderId}
/
cancel
/
prepare
Prepare limit-order cancellation
curl --request POST \
  --url https://api.example.com/order/{orderId}/cancel/prepare \
  --header 'Content-Type: application/json' \
  --data '{
  "deadline": 2
}'
{
  "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cancellation": {
    "kind": "<string>",
    "chainId": 123,
    "authorizerAddress": "<string>",
    "deadline": 2,
    "typedData": {
      "domain": {
        "name": "<string>",
        "version": "<string>",
        "chainId": 123
      },
      "types": {
        "CancelOrder": [
          {
            "name": "<string>",
            "type": "<string>"
          }
        ]
      },
      "primaryType": "<string>",
      "message": {
        "swapId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deadline": 2
      }
    }
  }
}

Path Parameters

orderId
string<uuid>
required

The public order ID

Body

application/json

Request typed-data payload needed to authorize an order cancellation.

deadline
integer

Optional absolute Unix timestamp in UTC seconds when a tee-swapper cancellation signature should expire. Defaults to now + 5 minutes.

Required range: x >= 1

Response

Cancellation payload prepared

Typed-data payload the client must sign before cancelling an order.

orderId
string<uuid>
required

The public order ID from the router API

cancellation
TeeSwapperCancelOrderPreparation · object
required

Typed-data details for a tee-swapper-backed cancellation request.